#include "PhotoInfo.hh"

ClassImp(PhotoInfo);

/*!
 */
PhotoInfo::PhotoInfo()
{
  hE = new std::vector<Float_t>;
  hStrip = new std::vector<Int_t>;
  XhE = new std::vector<Float_t>;
  XhStrip = new std::vector<Int_t>;
  XcE = new std::vector<Float_t>;
  XcStrip = new std::vector<Float_t>;

  Clear();
}

/*!
 */
PhotoInfo::PhotoInfo(const char * name, const char * title)
  :TNamed(name, title)
{
  hE = new std::vector<Float_t>;
  hStrip = new std::vector<Int_t>;
  XhE = new std::vector<Float_t>;
  XhStrip = new std::vector<Int_t>;
  XcE = new std::vector<Float_t>;
  XcStrip = new std::vector<Float_t>;

  Clear();
}

/*!
 */
PhotoInfo::~PhotoInfo()
{
  delete hE;
  delete hStrip;
  delete XhE;
  delete XhStrip;
  delete XcE;
  delete XcStrip;
}

/*! 
 *  
 */
void PhotoInfo::Set(PhotoInfo * info)
{
  fRun = info->fRun;
  fEvent = info->fEvent;

  *hE = *(info->hE);
  *hStrip = *(info->hStrip);
  *XhE = *(info->XhE);
  *XhStrip = *(info->XhStrip);
  *XcE = *(info->XcE);
  *XcStrip = *(info->XcStrip);
}


/*! Sets All fields to 0.
 */
void PhotoInfo::Clear(Option_t *option)
{
  fRun = 0;
  fEvent = 0;

  hE->clear();
  hStrip->clear();
  XhE->clear();
  XhStrip->clear();
  XcE->clear();
  XcStrip->clear();
}

void PhotoInfo::Reset(Option_t *option)
{

}

/*!
 */
void PhotoInfo::Print(Option_t *option) const
{

}
