#ifndef PHOTOINFO_HH
#define PHOTOINFO_HH

#include <vector>

#include <TNamed.h>

class PhotoInfo : public TNamed
{
public:
  
  PhotoInfo();
  PhotoInfo(const char * name, const char * title);

  virtual ~PhotoInfo();

  virtual void                Set(PhotoInfo * info);

  void                        SetRun(Int_t v) { fRun = v; }
  Int_t                       GetRun() const { return fRun; }

  void                        SetEvent(Int_t v) { fEvent = v; }
  Int_t                       GetEvent() const { return fEvent; }

  void                        AddHitE(Float_t E) { hE->push_back(E);}
  void                        AddHitStrip(Int_t strip) { hStrip->push_back(strip);}

  void                        AddXHitE(Float_t E) { XhE->push_back(E);}
  void                        AddXHitStrip(Int_t strip) { XhStrip->push_back(strip);}

  void                        AddClusE(Float_t E) { XcE->push_back(E);}
  void                        AddClusStrip(Float_t strip) { XcStrip->push_back(strip);}

  Int_t                       GetNHits(){ return hE->size();}
  Float_t                     GetHitE(Int_t i) {return hE->at(i);}
  Int_t                       GetHitStrip(Int_t i) {return hStrip->at(i);}

  Int_t                       GetNXHits(){ return XhE->size();}
  Float_t                     GetXHitE(Int_t i) {return XhE->at(i);}
  Int_t                       GetXHitStrip(Int_t i) {return XhStrip->at(i);}

  Int_t                       GetNXClus(){ return XcE->size();}
  Float_t                     GetClusE(Int_t i) {return XcE->at(i);}
  Float_t                     GetClusStrip(Int_t i) {return XcStrip->at(i);}

  virtual void                Clear(Option_t *option ="");
  virtual void                Reset(Option_t *option ="");
  virtual void                Print(Option_t *option ="") const;

protected:

  Int_t                fRun;
  Int_t                fEvent;  
  
  std::vector<Float_t>     *hE;       
  std::vector<Int_t>       *hStrip;    

  std::vector<Float_t>     *XhE;      
  std::vector<Int_t>       *XhStrip;  

  std::vector<Float_t>     *XcE;      
  std::vector<Float_t>     *XcStrip;  

  ClassDef(PhotoInfo,1);
};

#endif
